<?php

/**
 * Class Contentwatch
 *
 */
class Contentwatch
{
	const API_URL = 'https://content-watch.ru/public/api/';
	const USER_KEY = 'lyZN7lYKngUtih6';

	private $error = '';

	private function call($data)
	{
		$ch = curl_init(self::API_URL);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		$res = curl_exec($ch);
		curl_close($ch);

		return $res;
	}

	public function sendText($text, $ignore = '')
	{
		$params = array(
			'key' => self::USER_KEY,
			'text' => $text,
			'ignore' => $ignore
		);
		$res = $this->call($params);

		$res = json_decode(trim($res), true);
		if (!isset($res['error'])) {
			$this->error = 'Ошибка запроса на анализ текста';
			return false;
		}

		if (!empty($res['error'])) {
			$this->error = $res['error'];
			return false;
		}

		return array(
			'unique' => $res['percent']
		);
	}

	public function getError()
	{
		return $this->error;
	}

}

