<?php

class Mf
{
	private $conn = null;

	function __construct()
	{
		$this->conn = mysqli_connect(MF_DB_HOST, MF_DB_USER, MF_DB_PASS, MF_DB_NAME);
	}

	function __destruct()
	{
		mysqli_close($this->conn);
	}

	public function createPost($turbotextId, $title, $content, $image = '')
	{
		$title = mysqli_real_escape_string($this->conn, $title);
		$content = mysqli_real_escape_string($this->conn, $content);
		$q = "INSERT INTO `mp_posts`
			SET
				`post_author` = 13,
				`post_date` = NOW(),
				`post_content` = '{$content}',
				`post_title` = '{$title}',
				`post_status` = 'draft',
				`comment_status` = 'closed',
				`ping_status` = 'closed',
				`post_modified` = NOW(),
				`post_parent` = 0,
				`menu_order` = 0,
				`post_type` = 'post',
				`comment_count` = 0";
		mysqli_query($this->conn, $q) or die(mysqli_error($this->conn));
		$res = mysqli_query($this->conn, "SELECT LAST_INSERT_ID();");
		$res = mysqli_fetch_row($res);
		$id = $res[0];

		// Turbotext Log
		mysqli_query($this->conn, "INSERT INTO `turbotext_log` SET `turbotext_id`='{$turbotextId}'");

		// Upload Image
		if (!empty($image)) {
			$imageCall = 'http://metaphysican.com/?a=turbotext_upload_image&id='.$id.'&image='.base64_encode($image);
			$t = file_get_contents($imageCall);
			unset($t);
		}

		return $id;
	}
}