$(document).ready(function() {
	initAjaxLinks();
});

function initAjaxLinks()
{
	$('A.ajax').on('click', function() {
		var url = $(this).attr('href');
		$('#AjaxResult').empty().hide();
		$('#AjaxLoader').show();
		$.get(url, function(data) {
			$('#AjaxLoader').hide();
			$('#AjaxResult').html(data).show();
		}, 'html');
		return false;
	});

	// Advego Popup
	$('#btnAdvegoDecline').on('click', function() {
		var id = $('#FormContentStatus2 INPUT[name="id"]').val();
		var unique = $('#FormContentStatus2 INPUT[name="advego"]').val();
		if (unique == '') {
			alert('Укажите принтскрин уникальности по адвего');
			return;
		}
		$.post(BASE + '/?a=advegoDecline',
			{
				'id': id,
				'unique': unique
			},
			function() {
				$('#modalContent').modal('hide');
				loadList(2);
			},
			'html');
	});
	$('#btnAdvegoAccept').on('click', function() {
		var id = $('#FormContentStatus2 INPUT[name="id"]').val();
		var unique = $('#FormContentStatus2 INPUT[name="advego"]').val();
		if (unique == '') {
			alert('Укажите принтскрин уникальности по адвего');
			return;
		}
		$.post(BASE + '/?a=advegoAccept',
			{
				'id': id,
				'unique': unique
			},
			function() {
				$('#modalContent').modal('hide');
				loadList(2);
			},
			'html');
	});

	// Finish Popup
	$('#btnFinishDecline').on('click', function() {
		var id = $('#FormContentStatus3 INPUT[name="id"]').val();
		var comment = $('#FormContentStatus3 INPUT[name="comment"]').val();
		if (comment == '') {
			alert('Укажите причину отклонения');
			return;
		}
		$.post(BASE + '/?a=finishDecline',
			{
				'id': id,
				'comment': comment
			},
			function() {
				$('#modalContent').modal('hide');
				loadList(3);
			},
			'html');
	});
	$('#btnFinishAccept').on('click', function() {
		var id = $('#FormContentStatus3 INPUT[name="id"]').val();
		$.post(BASE + '/?a=finishAccept',
			{
				'id': id
			},
			function() {
				$('#modalContent').modal('hide');
				loadList(3);
			},
			'html');
	});
}

function showContent(id, status)
{
	var options = {

	};
	$('#modalContent').modal(options);
	$('#modalContent .modal-footer FORM').hide();
	if (status == 2) {
		$('#FormContentStatus2').show();
	}
	if (status == 3) {
		$('#FormContentStatus3').show();
	}
	$('#modalContent INPUT[name="id"]').val(id);
	$('#modalContent INPUT[name="advego"]').val('');
	$('#modalContent INPUT[name="comment"]').val('');
	$('#modalContent .modal-body').html('<p>Загрузка...</p>');
	$.post(BASE + '/?a=loadContent&id=' + id, {},
		function(data) {
			$('#modalContent .modal-body').html(data);
		},
		'html');
}

function loadList(status)
{
	$('#AjaxResult').empty().hide();
	$('#AjaxLoader').show();
	var action = '';
	if (status == 0) {
		action = 'loadListLoaded';
	}
	if (status == 2) {
		action = 'loadListOperator';
	}
	if (status == 3) {
		action = 'loadListVerified';
	}
	if (status == 5) {
		action = 'loadListFinished';
	}
	if (status == 6) {
		action = 'loadListArchive';
	}
	$.post(BASE + '/?a=' + action, {},
		function(data) {
			$('#AjaxLoader').hide();
			$('#AjaxResult').html(data).show();
		},
		'html');
}

function adminOperator(obj)
{
	$('#AjaxResult').empty().hide();
	$('#AjaxLoader').show();
	$.post(BASE + '/?a=adminOperator', {},
		function() {
			$.post(BASE + '/?a=loadListLoaded', {},
				function(data) {
					$('#AjaxLoader').hide();
					$('#AjaxResult').html(data).show();
				},
				'html');
		},
		'html');
}

function adminDecline(obj)
{
	$('#AjaxResult').empty().hide();
	$('#AjaxLoader').show();
	$('#AjaxResult').empty().hide();
	$('#AjaxLoader').show();
	$.post(BASE + '/?a=adminDecline', {},
		function() {
			$.post(BASE + '/?a=loadListLoaded', {},
				function(data) {
					$('#AjaxLoader').hide();
					$('#AjaxResult').html(data).show();
				},
				'html');
		},
		'html');
}

function analyze(obj)
{
	var objContainer = $(obj).parent();
	objContainer.html('<b class="text-danger">Выполняется анализ по content-watch, подождите...</b>');


	$('#TableAnalyze TR.tr-analyze').each(function(idx) {
		var $row = $(this);
		var $id = $row.data('id');
		var $val = $row.find('TD.td-contentwatch').html();
		if ($val == '') {
			$row.find('TD.td-contentwatch').html('<img src="' + BASE + '/img/loader.png" class="loader" />');
			$.ajax({
				url: BASE + '/?a=contentwatch&id=' + $id,
				async: false,
				dataType: 'html',
				success: function (data) {
					$row.find('TD.td-contentwatch').html(data);
				}
			});
		}
	});


	$('#TableAnalyze TR.tr-analyze').each(function(idx) {
		var $row = $(this);
		var $id = $row.data('id');
		var $val = $row.find('TD.td-textru').html();
		if ($val == '') {
			$.ajax({
				url: BASE + '/?a=textru&id=' + $id,
				async: false,
				dataType: 'html',
				success: function(data) {
					if (data == 'ok') {
						$row.find('TD.td-textru').html('<img src="' + BASE + '/img/loader.png" class="loader" />');
					} else {
						$row.find('TD.td-textru').html(data);
					}
				}
			});
		}
	});

	objContainer.html('<b class="text-danger">Отправлены запросы на анализ по text.ru и etxt.ru, обновите страницу через 5-10 минут.</b>');
}

function reanalyze(obj)
{
	var objContainer = $(obj).parent();

	$('#TableAnalyze TR.tr-analyze').each(function(idx) {
		var $row = $(this);
		var $id = $row.data('id');
		var $val = $row.find('TD.td-textru').html();
		$.ajax({
			url: BASE + '/?a=retextru&id=' + $id,
			async: false,
			dataType: 'html',
			success: function(data) {
				if (data == 'ok') {
					$row.find('TD.td-textru').html('<img src="' + BASE + '/img/loader.png" class="loader" />');
				} else {
					$row.find('TD.td-textru').html(data);
				}
			}
		});
	});

	objContainer.html('<b class="text-danger">Отправлены запросы на анализ по text.ru и etxt.ru, обновите страницу через 5-10 минут.</b>');
}

function report(obj)
{
	var ids = new Array();
	$('#TableAnalyze INPUT[type="checkbox"]').each(function() {
		if ($(this).prop('checked')) {
			ids.push($(this).attr('value'));
		}
	});
	var strIds = ids.join(';');
	$('#AjaxResult').empty().hide();
	$('#AjaxLoader').show();
	$.post(BASE + '/?a=report',
		{
			'ids': strIds
		},
		function(data) {
			alert('Отчет отправлен!');
			loadList(5);
		}, 'html');
}
