<?php
session_start();
set_time_limit(10000);

define('ROOT', dirname(__FILE__));

include ROOT.'/config.php';

function __autoload($class)
{
	if (file_exists(ROOT."/classes/$class.php")) include_once(ROOT."/classes/$class.php");
}

include ROOT.'/actions.php';

function redirect($url)
{
	header('Location: '.BASE.$url);
	exit;
}

function checkAuth($module = '')
{
	$userId = $_SESSION['auth'];
	if (empty($userId)) redirect('/login.php');

	$userId = intval($userId);
	$user = Db::instance()->getRow("SELECT * FROM `users` WHERE `id`={$userId}");
	if (empty($user)) redirect('/login.php');

	if (!empty($module)) {
		$role = $user['type'];
		$modules = Db::instance()->getVal("SELECT `modules` FROM `roles` WHERE `role`='{$role}'");
		$modules = explode(',', $modules);
		if (!in_array($module, $modules)) redirect('/login.php');
	}

	return $user;
}

function randId($ids) {
	if (count($ids) == 1) return $ids[0];
	return $ids[array_rand($ids)];
}
